CREATE OR REPLACE FUNCTION zbx_update_partition_table_comments(schema_arg TEXT DEFAULT 'partitions') RETURNS INT AS $$
DECLARE
	r RECORD;
	c BIGINT;
	t TEXT;
BEGIN
	RAISE NOTICE 'Updating table comments in schema %', schema_arg;
	FOR r IN SELECT tablename FROM pg_tables WHERE schemaname = schema_arg -- AND tablename like 'history_str%'
	LOOP
		RAISE NOTICE '. updating comment for %.%', schema_arg, r.tablename;
		EXECUTE 'SELECT count(1) FROM ' || quote_ident(schema_arg) || '.' || quote_ident(r.tablename) || '' INTO c;
		t := quote_literal(date_trunc('second',CURRENT_TIMESTAMP)::TEXT || ' => ' || to_char(c, '999G999G999G999') || ' Rows');
		RAISE NOTICE '.. got count % for %.%', t, schema_arg, r.tablename;
		EXECUTE 'COMMENT ON TABLE ' || quote_ident(schema_arg) || '.' || quote_ident(r.tablename) ||' IS ' || t || '';
	END LOOP;

	RETURN 1;
END
$$ LANGUAGE plpgsql;

